Subject: Re: [PATCH v2 0/2] Add pcibios_device_change_notifier

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 08 Jun 2012 07:31:51 +1000

On Thu, 2012-06-07 at 21:45 +0900, Hiroo Matsumoto wrote:
> 
> > Also you seem to add:
> > 
> > +               /* Setup OF node pointer in the device */
> > +               dev->dev.of_node = pci_device_to_OF_node(dev);
> > 
> > This shouldn't be needed anymore, the device node should be setup by the
> > core nowadays. Is this just a remnant of you rebasing an old patch or do
> > you have a good reason to add this statement ?
> 
> No, I don't have a good reason to add this statement.
> I just tried to make this code be same with pcibios_setup_bus_devices.
> Thanks for your review and comment. 

Unless I'm mistaken, this statement was removed from
pcibios_setup_bus_devices() recently so I'd say it's a leftover from
your patch having been originally done on top of an older kernel.

I won't be back for another week or so but I'll see if I can get things
tested in the meantime.

Cheers,
Ben.